| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# scfFakeInterface< If >::InterfaceTraits Struct Reference

List of all members.

## Public Types
typedef If | InterfaceType
## Static Public Member Functions
static CS_FORCEINLINE_TEMPLATEMETHOD char const * | GetName ()
static CS_FORCEINLINE_TEMPLATEMETHOD scfInterfaceVersion | GetVersion ()

## Detailed Description

### template<class If>
struct scfFakeInterface< If >::InterfaceTraits

Definition at line 109 of file scf_implementation.h.

The documentation for this struct was generated from the following file:

- csutil/scf_implementation.h